> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify Plan Order (SIGNED)

`Applicable for modifying contract plan orders`

#### Request URL

`POST https://cloud-api.wooxpro.com/contract/private/modify-plan-order`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request

```shell theme={null}
curl 
 -H 'X-API-KEY:{{AccessKey}}'
 -H 'X-API-TIMESTAMP:{{currentTime}}'
 -H 'X-API-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "order_id":"220906179559421",
  "trigger_price":"2000",
  "executive_price":"1450",
  "price_type":1,
  "type":"limit"
}'
https://cloud-api.wooxpro.com/contract/private/modify-plan-order
```

| Field            | Type   | Required? | Description                                                    |
| :--------------- | :----- | :-------- | :------------------------------------------------------------- |
| symbol           | String | Yes       | Symbol of the contract(like BTCUSDT)                           |
| order\_id        | String | No        | Order ID(order\_id or client\_order\_id must give one)         |
| trigger\_price   | String | Yes       | Trigger price                                                  |
| executive\_price | String | No        | Execution price for plan order, mandatory when type = limit    |
| price\_type      | Int    | Yes       | Trigger price type<br />-`1`=last\_price<br />-`2`=fair\_price |
| type             | String | Yes       | Order type<br />-`limit`<br />-`market`                        |

#### Response Data

> Response

```json theme={null}
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": "220609666322019"
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
```

| Field     | Type   | Description |
| :-------- | :----- | :---------- |
| order\_id | String | Order ID    |
